import { createRouter, createWebHashHistory, RouteRecordRaw } from 'vue-router';

const routes: Array<RouteRecordRaw> = [
  {
    path: '/',
    component: () => import('@/views/home/index.vue'),
  },
  {
    path: '/designer',
    component: () => import('@/views/designer/index.vue'),
  },
  {
    path: '/view',
    component: () => import('@/views/view/index.vue'),
  },
  {
    path: '/:pathMatch(.*)*',
    component: () => import('@/views/system/404.vue')
  }
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;